published on Friday, Apr 3, 2026 by Pulumi
published on Friday, Apr 3, 2026 by Pulumi
This data source provides the list of Pbf Listing Versions in Oracle Cloud Infrastructure Functions service.
Fetches a wrapped list of all Pre-built Function(PBF) Listing versions. Returns a PbfListingVersionCollection containing an array of PbfListingVersionSummary response models.
Note that the PbfListingIdentifier must be provided as a query parameter, otherwise an exception shall be thrown.
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as oci from "@pulumi/oci";
const testPbfListingVersions = oci.Functions.getPbfListingVersions({
pbfListingId: testPbfListing.id,
isCurrentVersion: pbfListingVersionIsCurrentVersion,
name: pbfListingVersionName,
pbfListingVersionId: testPbfListingVersion.id,
state: pbfListingVersionState,
});
import pulumi
import pulumi_oci as oci
test_pbf_listing_versions = oci.Functions.get_pbf_listing_versions(pbf_listing_id=test_pbf_listing["id"],
is_current_version=pbf_listing_version_is_current_version,
name=pbf_listing_version_name,
pbf_listing_version_id=test_pbf_listing_version["id"],
state=pbf_listing_version_state)
package main
import (
"github.com/pulumi/pulumi-oci/sdk/v4/go/oci/functions"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
_, err := functions.GetPbfListingVersions(ctx, &functions.GetPbfListingVersionsArgs{
PbfListingId: testPbfListing.Id,
IsCurrentVersion: pulumi.BoolRef(pbfListingVersionIsCurrentVersion),
Name: pulumi.StringRef(pbfListingVersionName),
PbfListingVersionId: pulumi.StringRef(testPbfListingVersion.Id),
State: pulumi.StringRef(pbfListingVersionState),
}, nil)
if err != nil {
return err
}
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Oci = Pulumi.Oci;
return await Deployment.RunAsync(() =>
{
var testPbfListingVersions = Oci.Functions.GetPbfListingVersions.Invoke(new()
{
PbfListingId = testPbfListing.Id,
IsCurrentVersion = pbfListingVersionIsCurrentVersion,
Name = pbfListingVersionName,
PbfListingVersionId = testPbfListingVersion.Id,
State = pbfListingVersionState,
});
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.oci.Functions.FunctionsFunctions;
import com.pulumi.oci.Functions.inputs.GetPbfListingVersionsArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var testPbfListingVersions = FunctionsFunctions.getPbfListingVersions(GetPbfListingVersionsArgs.builder()
.pbfListingId(testPbfListing.id())
.isCurrentVersion(pbfListingVersionIsCurrentVersion)
.name(pbfListingVersionName)
.pbfListingVersionId(testPbfListingVersion.id())
.state(pbfListingVersionState)
.build());
}
}
variables:
testPbfListingVersions:
fn::invoke:
function: oci:Functions:getPbfListingVersions
arguments:
pbfListingId: ${testPbfListing.id}
isCurrentVersion: ${pbfListingVersionIsCurrentVersion}
name: ${pbfListingVersionName}
pbfListingVersionId: ${testPbfListingVersion.id}
state: ${pbfListingVersionState}
Using getPbfListingVersions
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getPbfListingVersions(args: GetPbfListingVersionsArgs, opts?: InvokeOptions): Promise<GetPbfListingVersionsResult>
function getPbfListingVersionsOutput(args: GetPbfListingVersionsOutputArgs, opts?: InvokeOptions): Output<GetPbfListingVersionsResult>def get_pbf_listing_versions(filters: Optional[Sequence[GetPbfListingVersionsFilter]] = None,
is_current_version: Optional[bool] = None,
name: Optional[str] = None,
pbf_listing_id: Optional[str] = None,
pbf_listing_version_id: Optional[str] = None,
state: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetPbfListingVersionsResult
def get_pbf_listing_versions_output(filters: Optional[pulumi.Input[Sequence[pulumi.Input[GetPbfListingVersionsFilterArgs]]]] = None,
is_current_version: Optional[pulumi.Input[bool]] = None,
name: Optional[pulumi.Input[str]] = None,
pbf_listing_id: Optional[pulumi.Input[str]] = None,
pbf_listing_version_id: Optional[pulumi.Input[str]] = None,
state: Optional[pulumi.Input[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetPbfListingVersionsResult]func GetPbfListingVersions(ctx *Context, args *GetPbfListingVersionsArgs, opts ...InvokeOption) (*GetPbfListingVersionsResult, error)
func GetPbfListingVersionsOutput(ctx *Context, args *GetPbfListingVersionsOutputArgs, opts ...InvokeOption) GetPbfListingVersionsResultOutput> Note: This function is named GetPbfListingVersions in the Go SDK.
public static class GetPbfListingVersions
{
public static Task<GetPbfListingVersionsResult> InvokeAsync(GetPbfListingVersionsArgs args, InvokeOptions? opts = null)
public static Output<GetPbfListingVersionsResult> Invoke(GetPbfListingVersionsInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetPbfListingVersionsResult> getPbfListingVersions(GetPbfListingVersionsArgs args, InvokeOptions options)
public static Output<GetPbfListingVersionsResult> getPbfListingVersions(GetPbfListingVersionsArgs args, InvokeOptions options)
fn::invoke:
function: oci:Functions/getPbfListingVersions:getPbfListingVersions
arguments:
# arguments dictionaryThe following arguments are supported:
- Pbf
Listing stringId - unique PbfListing identifier
- Filters
List<Get
Pbf Listing Versions Filter> - Is
Current boolVersion - Matches the current version (the most recently added version with an Active lifecycleState) associated with a PbfListing.
- Name string
- Matches a PbfListingVersion based on a provided semantic version name for a PbfListingVersion. Each PbfListingVersion name is unique with respect to its associated PbfListing.
- Pbf
Listing stringVersion Id - unique PbfListingVersion identifier
- State string
- A filter to return only resources their lifecycleState matches the given lifecycleState.
- Pbf
Listing stringId - unique PbfListing identifier
- Filters
[]Get
Pbf Listing Versions Filter - Is
Current boolVersion - Matches the current version (the most recently added version with an Active lifecycleState) associated with a PbfListing.
- Name string
- Matches a PbfListingVersion based on a provided semantic version name for a PbfListingVersion. Each PbfListingVersion name is unique with respect to its associated PbfListing.
- Pbf
Listing stringVersion Id - unique PbfListingVersion identifier
- State string
- A filter to return only resources their lifecycleState matches the given lifecycleState.
- pbf
Listing StringId - unique PbfListing identifier
- filters
List<Get
Pbf Listing Versions Filter> - is
Current BooleanVersion - Matches the current version (the most recently added version with an Active lifecycleState) associated with a PbfListing.
- name String
- Matches a PbfListingVersion based on a provided semantic version name for a PbfListingVersion. Each PbfListingVersion name is unique with respect to its associated PbfListing.
- pbf
Listing StringVersion Id - unique PbfListingVersion identifier
- state String
- A filter to return only resources their lifecycleState matches the given lifecycleState.
- pbf
Listing stringId - unique PbfListing identifier
- filters
Get
Pbf Listing Versions Filter[] - is
Current booleanVersion - Matches the current version (the most recently added version with an Active lifecycleState) associated with a PbfListing.
- name string
- Matches a PbfListingVersion based on a provided semantic version name for a PbfListingVersion. Each PbfListingVersion name is unique with respect to its associated PbfListing.
- pbf
Listing stringVersion Id - unique PbfListingVersion identifier
- state string
- A filter to return only resources their lifecycleState matches the given lifecycleState.
- pbf_
listing_ strid - unique PbfListing identifier
- filters
Sequence[Get
Pbf Listing Versions Filter] - is_
current_ boolversion - Matches the current version (the most recently added version with an Active lifecycleState) associated with a PbfListing.
- name str
- Matches a PbfListingVersion based on a provided semantic version name for a PbfListingVersion. Each PbfListingVersion name is unique with respect to its associated PbfListing.
- pbf_
listing_ strversion_ id - unique PbfListingVersion identifier
- state str
- A filter to return only resources their lifecycleState matches the given lifecycleState.
- pbf
Listing StringId - unique PbfListing identifier
- filters List<Property Map>
- is
Current BooleanVersion - Matches the current version (the most recently added version with an Active lifecycleState) associated with a PbfListing.
- name String
- Matches a PbfListingVersion based on a provided semantic version name for a PbfListingVersion. Each PbfListingVersion name is unique with respect to its associated PbfListing.
- pbf
Listing StringVersion Id - unique PbfListingVersion identifier
- state String
- A filter to return only resources their lifecycleState matches the given lifecycleState.
getPbfListingVersions Result
The following output properties are available:
- Id string
- The provider-assigned unique ID for this managed resource.
- Pbf
Listing stringId - The OCID of the PbfListing this resource version belongs to.
- Pbf
Listing List<GetVersions Collections Pbf Listing Versions Pbf Listing Versions Collection> - The list of pbf_listing_versions_collection.
- Filters
List<Get
Pbf Listing Versions Filter> - Is
Current boolVersion - Name string
- A brief descriptive name for the PBF trigger.
- Pbf
Listing stringVersion Id - State string
- The current state of the PBF resource.
- Id string
- The provider-assigned unique ID for this managed resource.
- Pbf
Listing stringId - The OCID of the PbfListing this resource version belongs to.
- Pbf
Listing []GetVersions Collections Pbf Listing Versions Pbf Listing Versions Collection - The list of pbf_listing_versions_collection.
- Filters
[]Get
Pbf Listing Versions Filter - Is
Current boolVersion - Name string
- A brief descriptive name for the PBF trigger.
- Pbf
Listing stringVersion Id - State string
- The current state of the PBF resource.
- id String
- The provider-assigned unique ID for this managed resource.
- pbf
Listing StringId - The OCID of the PbfListing this resource version belongs to.
- pbf
Listing List<GetVersions Collections Pbf Listing Versions Pbf Listing Versions Collection> - The list of pbf_listing_versions_collection.
- filters
List<Get
Pbf Listing Versions Filter> - is
Current BooleanVersion - name String
- A brief descriptive name for the PBF trigger.
- pbf
Listing StringVersion Id - state String
- The current state of the PBF resource.
- id string
- The provider-assigned unique ID for this managed resource.
- pbf
Listing stringId - The OCID of the PbfListing this resource version belongs to.
- pbf
Listing GetVersions Collections Pbf Listing Versions Pbf Listing Versions Collection[] - The list of pbf_listing_versions_collection.
- filters
Get
Pbf Listing Versions Filter[] - is
Current booleanVersion - name string
- A brief descriptive name for the PBF trigger.
- pbf
Listing stringVersion Id - state string
- The current state of the PBF resource.
- id str
- The provider-assigned unique ID for this managed resource.
- pbf_
listing_ strid - The OCID of the PbfListing this resource version belongs to.
- pbf_
listing_ Sequence[Getversions_ collections Pbf Listing Versions Pbf Listing Versions Collection] - The list of pbf_listing_versions_collection.
- filters
Sequence[Get
Pbf Listing Versions Filter] - is_
current_ boolversion - name str
- A brief descriptive name for the PBF trigger.
- pbf_
listing_ strversion_ id - state str
- The current state of the PBF resource.
- id String
- The provider-assigned unique ID for this managed resource.
- pbf
Listing StringId - The OCID of the PbfListing this resource version belongs to.
- pbf
Listing List<Property Map>Versions Collections - The list of pbf_listing_versions_collection.
- filters List<Property Map>
- is
Current BooleanVersion - name String
- A brief descriptive name for the PBF trigger.
- pbf
Listing StringVersion Id - state String
- The current state of the PBF resource.
Supporting Types
GetPbfListingVersionsFilter
GetPbfListingVersionsPbfListingVersionsCollection
- Items
List<Get
Pbf Listing Versions Pbf Listing Versions Collection Item> - List of PbfListingVersionSummary.
- Items
[]Get
Pbf Listing Versions Pbf Listing Versions Collection Item - List of PbfListingVersionSummary.
- items
List<Get
Pbf Listing Versions Pbf Listing Versions Collection Item> - List of PbfListingVersionSummary.
- items
Get
Pbf Listing Versions Pbf Listing Versions Collection Item[] - List of PbfListingVersionSummary.
- items
Sequence[Get
Pbf Listing Versions Pbf Listing Versions Collection Item] - List of PbfListingVersionSummary.
- items List<Property Map>
- List of PbfListingVersionSummary.
GetPbfListingVersionsPbfListingVersionsCollectionItem
- Change
Summary string - Details changes are included in this version.
- Configs
List<Get
Pbf Listing Versions Pbf Listing Versions Collection Item Config> - Details about the required and optional Function configurations needed for proper performance of the PBF.
- Dictionary<string, string>
- Defined tags for this resource. Each key is predefined and scoped to a namespace. Example:
{"foo-namespace.bar-key": "value"} - Dictionary<string, string>
- Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only. Example:
{"bar-key": "value"} - Id string
- Unique identifier that is immutable on creation
- Name string
- Matches a PbfListingVersion based on a provided semantic version name for a PbfListingVersion. Each PbfListingVersion name is unique with respect to its associated PbfListing.
- Pbf
Listing stringId - unique PbfListing identifier
- Requirements
List<Get
Pbf Listing Versions Pbf Listing Versions Collection Item Requirement> - Minimum memory required by this PBF. The user should use memory greater than or equal to this value while configuring the Function.
- State string
- A filter to return only resources their lifecycleState matches the given lifecycleState.
- Dictionary<string, string>
- System tags for this resource. Each key is predefined and scoped to a namespace. Example:
{"orcl-cloud.free-tier-retained": "true"} - Time
Created string - The time the PbfListingVersion was created. An RFC3339 formatted datetime string.
- Time
Updated string - The last time the PbfListingVersion was updated. An RFC3339 formatted datetime string.
- Triggers
List<Get
Pbf Listing Versions Pbf Listing Versions Collection Item Trigger> - An array of Trigger. A list of triggers that may activate the PBF.
- Change
Summary string - Details changes are included in this version.
- Configs
[]Get
Pbf Listing Versions Pbf Listing Versions Collection Item Config - Details about the required and optional Function configurations needed for proper performance of the PBF.
- map[string]string
- Defined tags for this resource. Each key is predefined and scoped to a namespace. Example:
{"foo-namespace.bar-key": "value"} - map[string]string
- Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only. Example:
{"bar-key": "value"} - Id string
- Unique identifier that is immutable on creation
- Name string
- Matches a PbfListingVersion based on a provided semantic version name for a PbfListingVersion. Each PbfListingVersion name is unique with respect to its associated PbfListing.
- Pbf
Listing stringId - unique PbfListing identifier
- Requirements
[]Get
Pbf Listing Versions Pbf Listing Versions Collection Item Requirement - Minimum memory required by this PBF. The user should use memory greater than or equal to this value while configuring the Function.
- State string
- A filter to return only resources their lifecycleState matches the given lifecycleState.
- map[string]string
- System tags for this resource. Each key is predefined and scoped to a namespace. Example:
{"orcl-cloud.free-tier-retained": "true"} - Time
Created string - The time the PbfListingVersion was created. An RFC3339 formatted datetime string.
- Time
Updated string - The last time the PbfListingVersion was updated. An RFC3339 formatted datetime string.
- Triggers
[]Get
Pbf Listing Versions Pbf Listing Versions Collection Item Trigger - An array of Trigger. A list of triggers that may activate the PBF.
- change
Summary String - Details changes are included in this version.
- configs
List<Get
Pbf Listing Versions Pbf Listing Versions Collection Item Config> - Details about the required and optional Function configurations needed for proper performance of the PBF.
- Map<String,String>
- Defined tags for this resource. Each key is predefined and scoped to a namespace. Example:
{"foo-namespace.bar-key": "value"} - Map<String,String>
- Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only. Example:
{"bar-key": "value"} - id String
- Unique identifier that is immutable on creation
- name String
- Matches a PbfListingVersion based on a provided semantic version name for a PbfListingVersion. Each PbfListingVersion name is unique with respect to its associated PbfListing.
- pbf
Listing StringId - unique PbfListing identifier
- requirements
List<Get
Pbf Listing Versions Pbf Listing Versions Collection Item Requirement> - Minimum memory required by this PBF. The user should use memory greater than or equal to this value while configuring the Function.
- state String
- A filter to return only resources their lifecycleState matches the given lifecycleState.
- Map<String,String>
- System tags for this resource. Each key is predefined and scoped to a namespace. Example:
{"orcl-cloud.free-tier-retained": "true"} - time
Created String - The time the PbfListingVersion was created. An RFC3339 formatted datetime string.
- time
Updated String - The last time the PbfListingVersion was updated. An RFC3339 formatted datetime string.
- triggers
List<Get
Pbf Listing Versions Pbf Listing Versions Collection Item Trigger> - An array of Trigger. A list of triggers that may activate the PBF.
- change
Summary string - Details changes are included in this version.
- configs
Get
Pbf Listing Versions Pbf Listing Versions Collection Item Config[] - Details about the required and optional Function configurations needed for proper performance of the PBF.
- {[key: string]: string}
- Defined tags for this resource. Each key is predefined and scoped to a namespace. Example:
{"foo-namespace.bar-key": "value"} - {[key: string]: string}
- Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only. Example:
{"bar-key": "value"} - id string
- Unique identifier that is immutable on creation
- name string
- Matches a PbfListingVersion based on a provided semantic version name for a PbfListingVersion. Each PbfListingVersion name is unique with respect to its associated PbfListing.
- pbf
Listing stringId - unique PbfListing identifier
- requirements
Get
Pbf Listing Versions Pbf Listing Versions Collection Item Requirement[] - Minimum memory required by this PBF. The user should use memory greater than or equal to this value while configuring the Function.
- state string
- A filter to return only resources their lifecycleState matches the given lifecycleState.
- {[key: string]: string}
- System tags for this resource. Each key is predefined and scoped to a namespace. Example:
{"orcl-cloud.free-tier-retained": "true"} - time
Created string - The time the PbfListingVersion was created. An RFC3339 formatted datetime string.
- time
Updated string - The last time the PbfListingVersion was updated. An RFC3339 formatted datetime string.
- triggers
Get
Pbf Listing Versions Pbf Listing Versions Collection Item Trigger[] - An array of Trigger. A list of triggers that may activate the PBF.
- change_
summary str - Details changes are included in this version.
- configs
Sequence[Get
Pbf Listing Versions Pbf Listing Versions Collection Item Config] - Details about the required and optional Function configurations needed for proper performance of the PBF.
- Mapping[str, str]
- Defined tags for this resource. Each key is predefined and scoped to a namespace. Example:
{"foo-namespace.bar-key": "value"} - Mapping[str, str]
- Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only. Example:
{"bar-key": "value"} - id str
- Unique identifier that is immutable on creation
- name str
- Matches a PbfListingVersion based on a provided semantic version name for a PbfListingVersion. Each PbfListingVersion name is unique with respect to its associated PbfListing.
- pbf_
listing_ strid - unique PbfListing identifier
- requirements
Sequence[Get
Pbf Listing Versions Pbf Listing Versions Collection Item Requirement] - Minimum memory required by this PBF. The user should use memory greater than or equal to this value while configuring the Function.
- state str
- A filter to return only resources their lifecycleState matches the given lifecycleState.
- Mapping[str, str]
- System tags for this resource. Each key is predefined and scoped to a namespace. Example:
{"orcl-cloud.free-tier-retained": "true"} - time_
created str - The time the PbfListingVersion was created. An RFC3339 formatted datetime string.
- time_
updated str - The last time the PbfListingVersion was updated. An RFC3339 formatted datetime string.
- triggers
Sequence[Get
Pbf Listing Versions Pbf Listing Versions Collection Item Trigger] - An array of Trigger. A list of triggers that may activate the PBF.
- change
Summary String - Details changes are included in this version.
- configs List<Property Map>
- Details about the required and optional Function configurations needed for proper performance of the PBF.
- Map<String>
- Defined tags for this resource. Each key is predefined and scoped to a namespace. Example:
{"foo-namespace.bar-key": "value"} - Map<String>
- Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only. Example:
{"bar-key": "value"} - id String
- Unique identifier that is immutable on creation
- name String
- Matches a PbfListingVersion based on a provided semantic version name for a PbfListingVersion. Each PbfListingVersion name is unique with respect to its associated PbfListing.
- pbf
Listing StringId - unique PbfListing identifier
- requirements List<Property Map>
- Minimum memory required by this PBF. The user should use memory greater than or equal to this value while configuring the Function.
- state String
- A filter to return only resources their lifecycleState matches the given lifecycleState.
- Map<String>
- System tags for this resource. Each key is predefined and scoped to a namespace. Example:
{"orcl-cloud.free-tier-retained": "true"} - time
Created String - The time the PbfListingVersion was created. An RFC3339 formatted datetime string.
- time
Updated String - The last time the PbfListingVersion was updated. An RFC3339 formatted datetime string.
- triggers List<Property Map>
- An array of Trigger. A list of triggers that may activate the PBF.
GetPbfListingVersionsPbfListingVersionsCollectionItemConfig
- Description string
- Details about why this policy is required and what it will be used for.
- Is
Optional bool - Is this a required config or an optional one. Requests with required config params missing will be rejected.
- Key string
- The key name of the config param.
- Description string
- Details about why this policy is required and what it will be used for.
- Is
Optional bool - Is this a required config or an optional one. Requests with required config params missing will be rejected.
- Key string
- The key name of the config param.
- description String
- Details about why this policy is required and what it will be used for.
- is
Optional Boolean - Is this a required config or an optional one. Requests with required config params missing will be rejected.
- key String
- The key name of the config param.
- description string
- Details about why this policy is required and what it will be used for.
- is
Optional boolean - Is this a required config or an optional one. Requests with required config params missing will be rejected.
- key string
- The key name of the config param.
- description str
- Details about why this policy is required and what it will be used for.
- is_
optional bool - Is this a required config or an optional one. Requests with required config params missing will be rejected.
- key str
- The key name of the config param.
- description String
- Details about why this policy is required and what it will be used for.
- is
Optional Boolean - Is this a required config or an optional one. Requests with required config params missing will be rejected.
- key String
- The key name of the config param.
GetPbfListingVersionsPbfListingVersionsCollectionItemRequirement
- Min
Memory stringRequired In Mbs - Minimum memory required by this PBF. The user should use memory greater than or equal to this value while configuring the Function.
- Policies
List<Get
Pbf Listing Versions Pbf Listing Versions Collection Item Requirement Policy> - List of policies required for this PBF execution.
- Min
Memory stringRequired In Mbs - Minimum memory required by this PBF. The user should use memory greater than or equal to this value while configuring the Function.
- Policies
[]Get
Pbf Listing Versions Pbf Listing Versions Collection Item Requirement Policy - List of policies required for this PBF execution.
- min
Memory StringRequired In Mbs - Minimum memory required by this PBF. The user should use memory greater than or equal to this value while configuring the Function.
- policies
List<Get
Pbf Listing Versions Pbf Listing Versions Collection Item Requirement Policy> - List of policies required for this PBF execution.
- min
Memory stringRequired In Mbs - Minimum memory required by this PBF. The user should use memory greater than or equal to this value while configuring the Function.
- policies
Get
Pbf Listing Versions Pbf Listing Versions Collection Item Requirement Policy[] - List of policies required for this PBF execution.
- min_
memory_ strrequired_ in_ mbs - Minimum memory required by this PBF. The user should use memory greater than or equal to this value while configuring the Function.
- policies
Sequence[Get
Pbf Listing Versions Pbf Listing Versions Collection Item Requirement Policy] - List of policies required for this PBF execution.
- min
Memory StringRequired In Mbs - Minimum memory required by this PBF. The user should use memory greater than or equal to this value while configuring the Function.
- policies List<Property Map>
- List of policies required for this PBF execution.
GetPbfListingVersionsPbfListingVersionsCollectionItemRequirementPolicy
- Description string
- Details about why this policy is required and what it will be used for.
- Policy string
- Policy required for PBF execution
- Description string
- Details about why this policy is required and what it will be used for.
- Policy string
- Policy required for PBF execution
- description String
- Details about why this policy is required and what it will be used for.
- policy String
- Policy required for PBF execution
- description string
- Details about why this policy is required and what it will be used for.
- policy string
- Policy required for PBF execution
- description str
- Details about why this policy is required and what it will be used for.
- policy str
- Policy required for PBF execution
- description String
- Details about why this policy is required and what it will be used for.
- policy String
- Policy required for PBF execution
GetPbfListingVersionsPbfListingVersionsCollectionItemTrigger
- Name string
- Matches a PbfListingVersion based on a provided semantic version name for a PbfListingVersion. Each PbfListingVersion name is unique with respect to its associated PbfListing.
- Name string
- Matches a PbfListingVersion based on a provided semantic version name for a PbfListingVersion. Each PbfListingVersion name is unique with respect to its associated PbfListing.
- name String
- Matches a PbfListingVersion based on a provided semantic version name for a PbfListingVersion. Each PbfListingVersion name is unique with respect to its associated PbfListing.
- name string
- Matches a PbfListingVersion based on a provided semantic version name for a PbfListingVersion. Each PbfListingVersion name is unique with respect to its associated PbfListing.
- name str
- Matches a PbfListingVersion based on a provided semantic version name for a PbfListingVersion. Each PbfListingVersion name is unique with respect to its associated PbfListing.
- name String
- Matches a PbfListingVersion based on a provided semantic version name for a PbfListingVersion. Each PbfListingVersion name is unique with respect to its associated PbfListing.
Package Details
- Repository
- oci pulumi/pulumi-oci
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
ociTerraform Provider.
published on Friday, Apr 3, 2026 by Pulumi
